Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.spi
Interface SecureClientEnvironmentService

    public interface SecureClientEnvironmentService

Interface for security environment service components. Can be used by the eID Applet Service to check the client environment security requirements.

Author:
  Frank Cornelis

Method Summary
`void` | `checkSecureClientEnvironment(String javaVersion, String javaVendor, String osName, String osArch, String osVersion, String userAgent, String navigatorAppName, String navigatorAppVersion, String navigatorUserAgent, String remoteAddress, Integer sslKeySize, String sslCipherSuite, List<String> readerList)` Checks whether the client environment is secure enough for this web application.

Method Detail

### checkSecureClientEnvironment

    void checkSecureClientEnvironment(String javaVersion,
                                      String javaVendor,
                                      String osName,
                                      String osArch,
                                      String osVersion,
                                      String userAgent,
                                      String navigatorAppName,
                                      String navigatorAppVersion,
                                      String navigatorUserAgent,
                                      String remoteAddress,
                                      Integer sslKeySize,
                                      String sslCipherSuite,
                                      List<String> readerList)
                                      throws InsecureClientEnvironmentException

  Checks whether the client environment is secure enough for this web application.

  Parameters:
    `javaVersion` - the version of the Java JRE on the client machine.
    `javaVendor` - the vendor of the Java JRE on the client machine.
    `osName` - the name of the operating system on the client machine.
    `osArch` - the architecture of the client machine.
    `osVersion` - the operating system version of the client machine.
    `userAgent` - the user agent, i.e. browser, used on the client machine.
    `navigatorAppName` - the optional navigator application name (browser)
    `navigatorAppVersion` - the optional navigator application version (browser version)
    `navigatorUserAgent` - the optional optional navigator user agent name.
    `remoteAddress` - the address of the client machine.
    `sslKeySize` - the optional key size of the SSL session used between server and client. Can be `null` in case the SSL is terminated early.
    `sslCipherSuite` - the optional cipher suite of the SSL session used between server and client. Can be `null` in case the SSL is terminated early.
    `readerList` - the list of smart card readers present on the client machine.
  Throws:
    `InsecureClientEnvironmentException` - if the client env is found not to be secure enough.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.